Package org.drinkless.tdlib

# Class TdApi.SponsoredChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SponsoredChat

Enclosing class:
  `TdApi`

public static class TdApi.SponsoredChat extends TdApi.Object
Describes a sponsored chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `additionalInfo`
  If non-empty, additional information about the sponsored chat to be shown along with the chat.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `sponsorInfo`
  Additional optional information about the sponsor to be shown along with the chat.
  `long`
  `uniqueId`
  Unique identifier of this result.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SponsoredChat()`
  Describes a sponsored chat.
  `SponsoredChat(long uniqueId, long chatId, String sponsorInfo, String additionalInfo)`
  Describes a sponsored chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### uniqueId

    public long uniqueId
    Unique identifier of this result.

  - ### chatId

    public long chatId
    Chat identifier.

  - ### sponsorInfo

    public String sponsorInfo
    Additional optional information about the sponsor to be shown along with the chat.

  - ### additionalInfo

    public String additionalInfo
    If non-empty, additional information about the sponsored chat to be shown along with the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SponsoredChat

    public SponsoredChat()
    Describes a sponsored chat.

  - ### SponsoredChat

    public SponsoredChat(long uniqueId, long chatId, String sponsorInfo, String additionalInfo)
    Describes a sponsored chat.
    Parameters:
      `uniqueId` - Unique identifier of this result.
      `chatId` - Chat identifier.
      `sponsorInfo` - Additional optional information about the sponsor to be shown along with the chat.
      `additionalInfo` - If non-empty, additional information about the sponsored chat to be shown along with the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR